Subject: Re: mii-tool support for gmac/sungem

From: "Benjamin Herrenschmidt" <[email-masked]>
Date: Sun, 22 Sep 2002 23:57:33 +0200

>Rock, it works. Does ethtool work for every card for which the driver
>has an MII interface ?

Except that on pmacs, the interface is powered down about 10 seconds
after you ifconfig it down. This is good for power management of
laptops obviously but means you won't be able to probe for the link
status at that point.

Worse (my fault), sungem in the official tree has a bug that will
cause it to still try to bang the HW if you use the mii ioctls
while the HW is down, thus causing machine check oops'es (that
is fixed in my tree, I still have to send the patch to DaveM)

Ben.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/